Page MenuHomePhabricator

"Show last: " (Wlshowtime) is hard to translate due to sentence concatenation
Closed, ResolvedPublic

Description

The system message Wlshowtime ("Show last: ") appears in the watchlist header.

It is used to build a sentence by concatenation ("Show last: 3 days" or "Show last: 12 hours"), which makes it hard to translate. For instance, in French, "last" should be after the number and its translation depends on whether the unit is masculine or feminine ("Afficher les 3 derniers jours" or "Afficher les 12 dernières heures").

Possible solution: use something like "Period of time to display:" instead.

Details

Related Gerrit Patches:

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Orlodrim raised the priority of this task from to Needs Triage.
Orlodrim updated the task description. (Show Details)
Orlodrim added a project: MediaWiki-Watchlist.
Orlodrim added a subscriber: Orlodrim.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 20 2015, 10:37 PM
Aklapper renamed this task from Localization issue for the message Wlshowtime to "Show last: " (Wlshowtime) is hard to translate due to sentence concatenation.Nov 24 2015, 4:44 PM
Aklapper added a project: I18n.
Aklapper set Security to None.

Change 256958 had a related patch set uploaded (by Bartosz Dziewoński):
Change wording of 'wlshowtime' for ease of localisation

https://gerrit.wikimedia.org/r/256958

Change 256958 merged by jenkins-bot:
Change wording of 'wlshowtime' for ease of localisation

https://gerrit.wikimedia.org/r/256958

matmarex closed this task as Resolved.Dec 7 2015, 12:46 PM
matmarex claimed this task.